%global modname bleach

Summary:        An allowed-list-based HTML sanitizing library
Name:           python-bleach
Version:        6.0.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/mozilla/bleach
Source0:        https://files.pythonhosted.org/packages/source/b/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch


%description
Bleach is an allowed-list-based HTML sanitizing library
that escapes or strips markup and attributes.


%package -n python3-%{modname}
Summary:        An easy whitelist-based HTML-sanitizing tool
BuildRequires:  python3-devel python3-pytest python3-html5lib
Requires:       python3-html5lib

%description -n python3-%{modname}
Bleach is an allowed-list-based HTML sanitizing library
that escapes or strips markup and attributes.


%prep
%autosetup -n %{modname}-%{version}
rm -rf bleach.egg-info
rm -r bleach/_vendor/
sed -i "s/bleach._vendor.html5lib/html5lib/g" bleach/html5lib_shim.py tests/test_clean.py
sed -i "s/bleach._vendor.parse/urllib.parse/g" bleach/parse_shim.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pytest -k 'not test_uri_value_allowed_protocols and not test_css_parsing_gauntlet_regex_backtracking'


%files -n python3-%{modname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 6.0.0-1
- initial build
